### Signal

# Gtk TextView::insert-at-cursor

#### Declaration

    void
    insert_at_cursor (
      GtkTextView* self,
      gchar* string,
      gpointer user_data
    )

#### Description [src]

Gets emitted when the user initiates the insertion of a fixed string at the cursor.

The ::insert-at-cursor signal is a keybinding signal.

This signal has no default bindings.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`string`

  Type: `gchar*`

  The string to insert.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.